CVE-2023-40546

NameCVE-2023-40546
DescriptionA flaw was found in Shim when an error happened while creating a new ESL variable. If Shim fails to create the new variable, it tries to print an error message to the user; however, the number of parameters used by the logging function doesn't match the format string used by it, leading to a crash under certain circumstances.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1061519

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
shim (PTS)buster15.4-7~deb10u1vulnerable
buster (security)15.7-1~deb10u1vulnerable
bullseye15.7-1~deb11u1vulnerable
sid, trixie, bookworm15.7-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
shimsource(unstable)(unfixed)1061519

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=2241796
https://github.com/rhboot/shim/commit/66e6579dbf921152f647a0c16da1d3b2f40861ca (15.8)
https://github.com/rhboot/shim/commit/dae82f6bd72cf600e5d48046ec674a441d0f49d7 (15.8)

Search for package or bug name: Reporting problems